<?xml version="1.0" encoding="UTF-8"?>
<configuration scan="true" scanPeriod="60 seconds">
    <shutdownHook class="ch.qos.logback.core.hook.DelayingShutdownHook"/>

    <property name="PROJECT_NAME"    value="tsi-consumer"/>
    <property name="ROOT_LOG_LEVEL"  value="DEBUG"/>
    <property name="LOG_CHARSET"     value="UTF-8" />

    <property name="LOG_PATTERN_CONSOLE" value="[%d{HH:mm:ss.SSS}] %highlight([%5level]): %cyan(%msg) %n"/>

    <appender name="CONSOLE" class="ch.qos.logback.core.ConsoleAppender">
        <withJansi>true</withJansi>
        <encoder class="ch.qos.logback.classic.encoder.PatternLayoutEncoder">
<!--            <charset>${LOG_CHARSET}</charset>-->
            <pattern>${LOG_PATTERN_CONSOLE}</pattern>
        </encoder>
    </appender>

    <root level="INFO" additivity="true">
        <appender-ref ref="CONSOLE"/>
    </root>

</configuration>
